#include <gtk/gtk.h>
#include <time.h>
#include <math.h>

double calc_deg_rad (double deg);

double calc_rad_deg (double rad);

int times_to_zone (int day_utc, int hour_utc, int day_local, int hour_local);

void time_to_utc (int *time_local, int *time_utc);

void utc_zone_to_time (int *time_utc, int *time_local);

int max_day_in_month (int month, int year);

void calc_time_utc (int *time_utc);

void calc_jd (int *time_utc, double *time_jd);

void calc_sidereal_time(float longitude, double *time_jd, double *sidereal_time);

void calc_coordinates_sun(double time_jd, float *coordinates_sun);

void calc_coordinates_moon(double time_jd, float *coordinates_moon);

void calc_convert_rotation_horizontal(float right_ascension, float declination, float latitude, double time_sidereal, float *coordinates);


