#include <epoxy/gl.h>

const GLchar *vert_src =
"#version 330                                               \n"
"                                                           \n"
"layout(location = 0) in vec3 position;                     \n"
"layout(location = 1) in vec3 vertexColor;                  \n"
"                                                           \n"
"uniform mat4 fullTransformMatrix;                          \n"
"                                                           \n"
"out vec3 theColor;                                         \n"
"void main()                                                \n"
"{                                                          \n"
"  vec4 v = vec4(position, 1.0);                            \n"
"  vec4 newPosition = fullTransformMatrix * v;              \n"
"  gl_Position = newPosition;                               \n"
"  theColor = vertexColor;                                  \n"
"}                                                          \n";

const GLchar *frag_src =
"#version 330                                               \n"
"                                                           \n"
"out vec4 daColor;                                          \n"
"in vec3 theColor;                                          \n"
"                                                           \n"
"void main (void)                                           \n"
"{                                                          \n"
"  gl_FragColor = vec4(theColor, 1.0);                      \n"
"}                                                          \n";
